Description

To enable Bold font I now need to go through the "Data defined override" > Field type.

Is this a good thing? I find it more cumbersome than clicking on a Bold button.

History

#1 - 2018-07-10 06:24 PM - Harrissou Santanna

To enable Bold font I now need to go through the "Data defined override" > Field type

If you want the bold enabled for all the features, no need to (set and) use a field. Instead of selecting a field, click on Edit and type 1 (meaning enabled).

That said, I agree that there's something not obvious to me in the pushbutton being always disabled: if the DD button internally sets the style to Bold (or

Italic btw), why wouldn't the pushbutton do it? And as far as I can see, it's always possible to set the DD, whatever the font (whether it allows bold style or

not).

Isn't it a bit weird to have to use DD button for such a "common" option...?

#2 - 2018-07-11 12:24 AM - Nyall Dawson

- Status changed from Open to Feedback

Can't you just select "bold" in the style combo box?

#3 - 2018-07-11 01:01 PM - Harrissou Santanna

Some fonts do not have "bold" style proposed in the combobox but when applying the DD option, you can notice a change in the label rendering.

See for example (taken randomly) Centaure font: it only has "Normal" style but applying the Italic DD option you'll see a change. Hence Why not just allow

to push the I button? With other fonts, the Bold effect might be obviouser.
